<?php
#********************************************************************
#* Virtuemart Stats module:
#* @author		Joomill.nl <info@joomill.nl>
#* @link		http://www.joomill.nl
#* @copyright 	Copyright (C) 2011 Joomill.nl  
#* @license 	http://www.gnu.org/copyleft/gpl.html GNU/GPL 
#* 
#* Virtuemart Stats module is free software: you can redistribute it  
#* and/or modify it under the terms of the GNU General Public License 
#* as published by the Free Software Foundation, either version 3 of 
#* the License, or(at your option) any later version.
#*
#* Virtuemart Stats module is distributed in the hope that it will be 
#* useful, but WITHOUT ANY WARRANTY; without even the implied 
#* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
#* See the GNU General Public License for more details.
#*
#* You should have received a copy of the GNU General Public License
#* along with Virtuemart Stats module.
#* If not, see <http://www.gnu.org/licenses/>.
#* 
#*******************************************************************
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';

$document = &JFactory::getDocument();
$document->addStyleSheet( JURI::base() . 'modules/mod_virtuemart_stats/css/style.css' );
$categories = modStatsHelper::getCategories($params);
$products = modStatsHelper::getProducts($params);
$stock = modStatsHelper::getStock($params);
$customers = modStatsHelper::getCustomers($params);
$orders = modStatsHelper::getOrders($params);
$reviews = modStatsHelper::getReviews($params);
$ratings = modStatsHelper::getRatings($params);
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));

require JModuleHelper::getLayoutPath('mod_virtuemart_stats', $params->get('layout', 'default'));